Bug 382491 - duplicate packet from ipt_CLUSTERIP module
duplicate packet from ipt_CLUSTERIP module
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
low Severity low
: beta
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 09:19 EST by Francesco Defilippo
Modified: 2010-10-22 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:25:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backproted test patch (744 bytes, patch)
2008-04-15 12:03 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Francesco Defilippo 2007-11-14 09:19:58 EST
Description of problem:
duplicate packet if I use ipt_CLUSTERIP module

Version-Release number of selected component (if applicable):
2.6.18-8.1.15

How reproducible:

on clusterip node1

iptables -I INPUT -d a.b.c.d -i ethX -p icmp -j CLUSTERIP --new --clustermac
01:02:03:04:05:06 --total-nodes 1 --local-node 1 --hashmode sourceip

on client ip:

# ping 192.168.1.6
PING 192.168.1.6 (192.168.1.6) 56(84) bytes of data.
64 bytes from 192.168.1.6: icmp_seq=0 ttl=64 time=0.649 ms
64 bytes from 192.168.1.6: icmp_seq=0 ttl=64 time=1.13 ms (DUP!)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
duplicate packet

Expected results:
no duplicate packet

Additional info:

Novell patch:
http://lists.opensuse.org/opensuse-bugs/2007-04/msg01420.html
Comment 2 Neil Horman 2008-04-15 12:03:44 EDT
Created attachment 302485 [details]
backproted test patch

backported and ready to post once 5.3 opens.
Comment 3 RHEL Product and Program Management 2008-06-06 12:05:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Don Zickus 2008-10-06 11:55:28 EDT
in kernel-2.6.18-118.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 errata-xmlrpc 2009-01-20 15:25:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.